<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>homework4_math-function</title>
</head>

<body>
  <script>
    'use strict';

    let firstNumber;
    let secondNumber;
    let mathSign;
    let result;

    function calcNumber(num1, num2, sign) {
      let result;
      switch (sign) {
        case '+':
          result = num1 + num2;
          break;
        case '-':
          result = num1 - num2;
          break;
        case '*':
          result = num1 * num2;
          break;
        case '/':
          result = num1 / num2;
          break;
        default:
          result = null;
          break;
      }
      return result;
    }

    function getSign() {
      return prompt('Enter math sign (+,-,*,/)');
    }

    function getValue(text, value) {
      return prompt(`Enter ${text} number`, value);
    }

    function setSign() {
      let result;
      do {
        let sign = getSign();
        if (sign === null) {
          console.log('You canceled programm');
          break;
        }
        else if (sign == '+' || sign == '-' || sign == '*' || sign == '/') {
          result = sign;
        }
      } while (!result);
      return result;
    }

    function setNumber(text, num) {
      do {
        num = getValue(text, num);
        if (num === null) {
          console.log('You canceled programm');
          break;
        }
        else if (num === '' || num[0] === ' ') {
          num = undefined;
        }
        else if (isFinite(num)) {
          num = Number(num);
        }
      } while (!isFinite(num));
      return num;
    }

    firstNumber = setNumber('first', firstNumber);

    if (Number.isFinite(firstNumber)) {
      secondNumber = setNumber('second', secondNumber);
    }
    if (Number.isFinite(secondNumber)) {
      mathSign = setSign();
    }

    if (Number.isFinite(firstNumber) && Number.isFinite(secondNumber)) {
      result = calcNumber(firstNumber, secondNumber, mathSign);
    }

    if (Number.isFinite(result)) {
      console.log(`Result: ${firstNumber} ${mathSign} ${secondNumber} = ${result}`);
    } else {
      console.log('Error calculate');
    }

  </script>
</body>

</html>